Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.shared
Class DefaultHandlerRegistration

    java.lang.Object
      com.google.gwt.event.shared.DefaultHandlerRegistration

All Implemented Interfaces:
  HandlerRegistration

Deprecated. with no replacement; this class is no longer used by any GWT code

    @Deprecated
    public class DefaultHandlerRegistration

extends java.lang.Object
implements HandlerRegistration

Default implementation of `HandlerRegistration`.

Constructor Summary
`protected` | `DefaultHandlerRegistration(HandlerManager manager, GwtEvent.Type<H> type, H handler)` Deprecated. Creates a new handler registration.

Method Summary
`void` | `removeHandler()` Deprecated. Removes the given handler from its manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHandlerRegistration

    protected DefaultHandlerRegistration(HandlerManager manager,
                                         GwtEvent.Type<H> type,
                                         H handler)

  Deprecated.
  Creates a new handler registration.

  Type Parameters:
    `H` - Handler type
  Parameters:
    `manager` - the handler manager
    `type` - the event type
    `handler` - the handler

Method Detail

### removeHandler

    public void removeHandler()

  Deprecated.
  Removes the given handler from its manager.

  Specified by:
    `removeHandler` in interface `HandlerRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD